// ignore_for_file: cancel_subscriptions, public_member_api_docs
// ignore_for_file: non_constant_identifier_names, empty_catches
// ignore_for_file: avoid_dynamic_calls

import 'package:healthrian_ble_support_for_cardioclick/'
    'healthrian_ble_support_for_cardioclick.dart';

class ManagerImpl extends ManagerInterface {
  CardioClickVersions versions = CardioClickVersions.v2;

  final moduleV1 = ModuleV1();
  final moduleV2 = ModuleV2();

  ModuleInterface get module {
    switch(versions){
      case CardioClickVersions.v1:
        return moduleV1;
      case CardioClickVersions.v2:
        return moduleV2;
    }
  }

  @override
  ModuleInterface createModule() {
    switch (versions) {
      case CardioClickVersions.v1:
        return ModuleV1();
      case CardioClickVersions.v2:
        return ModuleV2();
    }
  }
}
